
Foreman - Bug #33697

In UI form show proxies that have enabled Registration and templates features only

10/15/2021 06:39 AM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link: 2014251 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8855

  

Description

Related issues:

Related to Smart Proxy - Bug #33756: Require templates for Registration module Closed

Associated revisions

Revision 49d3fec1 - 11/04/2021 08:29 AM - Leos Stejskal

Fixes #33697 - Registration - smart proxy features

Registration through smart proxy works only if proxy

have enabled 'Templates' and 'Registration features'.

This fix proxy selection in UI form and generating command via API.

History

#1 - 10/15/2021 06:42 AM - Leos Stejskal

- Subject changed from b'Global Registration: Selecting Satellite URL as the proxy fails to register hosts with default config'

 to In UI form show proxies that have enabled Registration and templates features only

- Description updated

- Category set to Host registration

#2 - 10/19/2021 06:46 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8855 added

#3 - 10/21/2021 07:24 AM - Leos Stejskal

- Related to Bug #33756: Require templates for Registration module added

#4 - 11/04/2021 08:29 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 11/04/2021 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|49d3fec18f5277a78efe69311916d2db84c37b39.
